import React from 'react';
import { render, screen } from '@testing-library/react';

import App from '../components/App';

describe('App', () => {
	test('renders App component', () => {
		render(<App />);

    // screen.debug();    
    expect(screen.getByText('Spoti Search')).toBeInTheDocument();
    expect(screen.getByRole('textbox')).toBeInTheDocument();
    expect(screen.getByPlaceholderText('Type an artist name')).toBeInTheDocument();
	});
});
